Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Interface ServiceRegistry

All Known Implementing Classes:
  DefaultServiceRegistry

    public interface ServiceRegistry

Defines the interface that for places to register, unregister, and get information about services.

Author:
  Dan Diephouse, Arjen Poutsma

Field Summary
`static java.lang.String` | `ROLE` Constant used to define the role of service registries.

Method Summary
`void` | `addRegistrationEventListener(RegistrationEventListener listener)` Add a listener for registration events.
`Service` | `getService(java.lang.String name)` Returns the `ServiceEndpoint` with the given name, if found.
`java.util.Collection` | `getServices()` Returns all `ServiceEndpoint` registered to this registry.
`boolean` | `hasService(java.lang.String name)` Indicates whether this registry has a service endpoint with the given name.
`void` | `register(Service endpoint)` Registers a given `ServiceEndpoint` with this registry.
`void` | `removeRegistrationEventListener(RegistrationEventListener listener)` Remove a listener for registration events.
`void` | `unregister(java.lang.String name)` Unregisters the service endpoint with the given name, if found.

Field Detail

### ROLE

    static final java.lang.String ROLE

  Constant used to define the role of service registries.

Method Detail

### getService

    Service getService(java.lang.String name)

  Returns the `ServiceEndpoint` with the given name, if found. Returns `null` if not found.

  Parameters:
    `name` - the service name.
  Returns:
    the service endpoint, or `null` if not found.

### register

    void register(Service endpoint)

  Registers a given `ServiceEndpoint` with this registry.

  Parameters:
    `endpoint` - the endpoint.

### unregister

    void unregister(java.lang.String name)

  Unregisters the service endpoint with the given name, if found.

  Parameters:
    `name` - the service name.

### hasService

    boolean hasService(java.lang.String name)

  Indicates whether this registry has a service endpoint with the given name.

  Parameters:
    `name` - the service name.
  Returns:
    `true` if this registry has a service with the given name; `false` otherwise.

### getServices

    java.util.Collection getServices()

  Returns all `ServiceEndpoint` registered to this registry.

  Returns:
    all service endpoints.

### addRegistrationEventListener

    void addRegistrationEventListener(RegistrationEventListener listener)

  Add a listener for registration events.

  Parameters:
    `listener` - the listener.

### removeRegistrationEventListener

    void removeRegistrationEventListener(RegistrationEventListener listener)

  Remove a listener for registration events.

  Parameters:
    `listener` - the listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.